dnl
dnl Much thanks to the pth build system
dnl

dnl
dnl LIBXODE_INIT_HOOK
dnl
AC_DEFUN([LIBXODE_INIT_HOOK],[
	AC_SUBST(LIBXODE_LIBS)
	AC_SUBST(LIBXODE_LIBDIR)
	AC_SUBST(LIBXODE_INCLUDEDIR)

	AC_ARG_WITH(libxode-includes,
	[  --with-libxode-includes  Specify the location of libxode headers],[
	CFLAGS="$CFLAGS -I$withval"
	])

	AC_ARG_WITH(libxode-libs,
	[ --with-libxode-libs       Specify the location of libxode libs],[
	LDFLAGS="$LDFLAGS -L$withval"
	libxode_prefix=$withval
	])

	AC_ARG_WITH(libxode,
	[  --with-libxode           Specify the location of libxode files],
		if test x$withval=xyes; then
			want_libxode=yes
			ifelse([$1],[],:,[$1])
		else
			if test "x$withval" = xno; then
				want_libxode=no
			else
				want_libxode=yes
				LDFLAGS="$LDFLAGS -L$withval/lib"
				CFLAGS="$CFLAGS -I$withval/include"
				libxode_prefix=$withval/lib
			fi
		fi,
		want_libxode=yes)
	
	if test "x$want_libxode" = xyes; then
        PATH=$PATH:$prefix/bin
		AC_PATH_PROG(LIBXODE_CONFIG,libxode-config,no)
		if test "$LIBXODE_CONFIG" = "no"; then
            AC_MSG_ERROR([
******************************************************************
* You do not seem to have libxode installed.  This is a required *
* package for libjabber to build.  Please see:                   *
*                 http://download.jabber.org                     *
* to get this package.                                           *
******************************************************************])
		else
			AC_MSG_CHECKING(if $LIBXODE_CONFIG works)
	      if $LIBXODE_CONFIG --libs >/dev/null 2>&1; then
	        AC_MSG_RESULT(yes)
	        LIBXODE_LIBS="`$LIBXODE_CONFIG --libs`"
	        LIBXODE_LIBDIR="-L`$LIBXODE_CONFIG --libdir`"
	        LIBXODE_INCLUDEDIR="`$LIBXODE_CONFIG --cflags`"
                $1
	      else
	        AC_MSG_RESULT(no)
	        no_libxode_config="yes"
              fi
            fi

	    if test x$exec_prefix = xNONE; then
	        if test x$prefix = xNONE; then
		    libxode_prefix=$ac_default_prefix/lib
	        else
 		    libxode_prefix=$prefix/lib
	        fi
	    else
	        libxode_prefix=`eval echo \`echo $libdir\``
	    fi
	fi
])

dnl
dnl LIBXODE_INIT
dnl
AC_DEFUN([LIBXODE_INIT],[
	LIBXODE_INIT_HOOK()
])
